List skills
get
/v1/skillsPaginated skills for the workspace. body is omitted (null) on list; fetch one skill for the full body. Optional filter[kind].
Requires a bearer token: Authorization: Bearer <token>.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | integer | No | Page.e.g. 1 |
| limit | integer | No | Limit.e.g. 1 |
| filter[kind] | string | No | Kind.e.g. reference |
Request
cURL
curl -X GET https://api.wellapp.ai/v1/skills \
-H "Authorization: Bearer $WELL_API_TOKEN"Responses
200 — Paginated skill list (bodies omitted).
{
"data": {}
}400 — Invalid query.
{
"code": "BAD_REQUEST",
"status": 400,
"title": "Bad Request",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}401 — Unauthorized.
{
"code": "UNAUTHORIZED",
"status": 401,
"title": "Unauthorized",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}